package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoMoveDto implements Serializable {
    /**
     * 元素ID<br>
     */
    @ApiModelProperty("元素ID")
    @Size(max = 255, message="元素ID-id: 数据长度不能 > 255" )
    @NotBlank(message = "请选择待移动元素")
    private String id;
    /**
     * 元素分组ID<br>
     */
    @ApiModelProperty("目标分组ID")
    @Size(max = 255, message="目标分组ID-groupId: 数据长度不能 > 255" )
    @NotBlank(message = "请选择目标目录结点")
    private String groupId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }
}
